QT Creator on raspberry pi4 (4GB RAM).



  • I would like to install QT Creator on raspberry pi4 (4GB RAM). I don't want to do kross-compiler . How to do it with all possible modules such as qtwebenginewidgets, charts, multimedia widgets etc. Do you have any instructions?
    Best regards,
    Sebastian


  • Lifetime Qt Champion

    Hi
    Unless you can find a Qt version already compiled for pi4
    then you will have to make a Qt version that
    runs on it.
    I think the debian stretch comes with older version.
    There are many tutorial on the net building Qt for Pi boards

    https://www.tal.org/tutorials/building-qt-512-raspberry-pi

    Pay attention to the eglfs X11 and/or Wayland options.

    You most likely want to use X11 since it sounds like you have a
    Desktop linux running on it.

    However, be prepared to use time on it. Its not super trivial.

    Also, it seems in Buster
    the https://www.raspberrypi.org/forums/viewtopic.php?t=244984
    it comes with Qt 5.11
    so maybe thats enough for you ?



  • you can download it from packages

    sudo apt-get install qml-module* (what ever module you need)
    sudo apt-get install qt5-declarative qtcreator qt5-default or qt5base*
    

    (i do not know exact packages names, just pres tab to check if it is available)

    on raspberry 3 it was necessary to activate OpenGL EGLFS to use qml but since raspberry 4 can use opengl es 3.0 you do not need to compile on your own to use qml



  • Thank you for your answers, especially David_001. Your suggestions allowed me to start stream from camera via QtMultimedia.

    0_1565706014836_67950518_723148948130715_6397323155685244928_n.jpg



  • @pirates21 if your issue is solved, please don't forget to mark your post as such! Thanks.


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.